#region Copyright Syncfusion Inc. 2001 - 2016
// Copyright Syncfusion Inc. 2001 - 2016. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;

namespace ToolbarCustomization_2005
{
    public partial class Form1 : MetroForm
    {
        # region Constructor
        public Form1()
        {
            InitializeComponent();

            // Layout controls.
            Rectangle rect = System.Windows.Forms.Screen.PrimaryScreen.Bounds;
            this.MinimumSize = new Size(rect.Width * 2 / 3, rect.Height * (3 / 2));
            this.Location = new Point(rect.Width / 6, 0);

            this.DefaultToolbar.Height = 24;
            this.MetroColor = Color.Transparent;
        }
        # endregion

        #region Private members
        Timer timer = new Timer();
        #endregion

        #region Events
        /// <summary>
        /// Loads PDF into PdfViewerControl.
        /// </summary>
        private void Form1_Load(object sender, EventArgs e)
        {
            timer.Tick += timer_Tick;
            timer.Enabled = true;
            LoadDocument("../../Data/Windows Store Apps Succinctly.pdf");
        }

        /// <summary>
        /// Toggles between default and custom toolbar.
        /// </summary>
        private void DefaultToolbar_Click(object sender, EventArgs e)
        {
            if (DefaultToolbar.Checked)
            {
                pdfViewerControl1.ShowToolBar = true;
                CustomPanel.Visible = false;
            }
            else
            {
                pdfViewerControl1.ShowToolBar = false;
                CustomPanel.Visible = true;
                SetPageNumber();
            }
        }

        private void btnFirst_Click(object sender, EventArgs e)
        {
            pdfViewerControl1.GoToPageAtIndex(1);
            SetPageNumber();
        }

        private void btnLast_Click(object sender, EventArgs e)
        {
            pdfViewerControl1.GoToPageAtIndex(pdfViewerControl1.PageCount);
            SetPageNumber();
        }

        private void btnPrevious_Click(object sender, EventArgs e)
        {
            if (pdfViewerControl1.CurrentPageIndex != 1)
            {
                pdfViewerControl1.GoToPageAtIndex(pdfViewerControl1.CurrentPageIndex - 1);
            }

            SetPageNumber();
        }

        private void btnNext_Click(object sender, EventArgs e)
        {
            if (pdfViewerControl1.CurrentPageIndex != pdfViewerControl1.PageCount)
            {
                pdfViewerControl1.GoToPageAtIndex(pdfViewerControl1.CurrentPageIndex + 1);
            }

            SetPageNumber();
        }

        private void timer_Tick(object sender, EventArgs e)
        {
            SetPageNumber();
        }

		/// <summary>
        /// Handles Keydown event of PageNumber Textbox
        /// </summary>
        private void txtPageNumber_KeyDown(object sender, KeyEventArgs e)
        {
            timer.Stop();
            int pageNumber=1;
            if (txtPageNumber.Text != "")
            {
                pageNumber = Convert.ToInt16(txtPageNumber.Text);
            }
            if(e.KeyCode==Keys.Enter)
            {
                pdfViewerControl1.GoToPageAtIndex(pageNumber);
                timer.Start();
            }
        }

        #endregion

        #region Helper methods
        /// <summary>
        /// Loads PDF into PdfViewerControl.
        /// </summary>
        private void LoadDocument(string fileName)
        {
            pdfViewerControl1.Load(fileName);
        }

        void SetPageNumber()
        {
            txtPageNumber.Text = pdfViewerControl1.CurrentPageIndex.ToString();
        }

        #endregion
    }
}